version: '3.7'

services:
  docs-api:
    image: "${IMAGE_NAME_API}"
    networks:
      docs-net:
    ports:
      - "8081:80"
    entrypoint:
      - /bin/sh
    depends_on:
      - db-docs
    restart: always
    env_file:
      - ./arai-docs.env
    environment:
      - ARAI_DOCS_DB_HOST=db-docs
      - USUARIOS_CLASS='\SIU\DocsApi\Security\UserProviderMock'
      - USUARIOS_PARAMS={base_uri:''}
      - TRAMITES_CLASS='\SIU\DocsApi\Tramites\TramitesProviderSudocu'
      - TRAMITES_PARAMS={base_uri:'http://expedientes.riu.edu.ar/api/integracion/', method:'basic', user:'integracion', password:'integracion'}
      - ARAI_REGISTRY_URL='http://integracion_registry_dev/registry'
      - SERVICIO_FIRMADOR_CLASS='\SIU\DocsApi\Firmador\FirmARService'
      - SERVICIO_FIRMADOR_PARAMS={base_uri:'https://tst.firmar.gob.ar/', method:'basic', user:'f8c9ea3a-6719-4c2f-a7b7-3ba37d65c404', password:''}
    command:
      - -c
      - |
        php /wait-pg.php $$ARAI_DOCS_DB_HOST 5432 postgres postgres
        /entrypoint.sh --reconfigure
        /entrypoint.sh --serve

  docs-worker:
    image: "${IMAGE_NAME_API}"
    networks:
      docs-net:
    entrypoint:
      - /bin/sh
    depends_on:
      - db-docs
    restart: always
    env_file:
      - ./arai-docs.env
    environment:
      - ARAI_DOCS_DB_HOST=db-docs
      - USUARIOS_CLASS='\SIU\DocsApi\Security\UserProviderMock'
      - USUARIOS_PARAMS={base_uri:''}
      - TRAMITES_CLASS='\SIU\DocsApi\Tramites\TramitesProviderSudocu'
      - TRAMITES_PARAMS={base_uri:'http://expedientes.riu.edu.ar/api/integracion/', method:'basic', user:'integracion', password:'integracion'}
      - ARAI_REGISTRY_URL='http://integracion_registry_dev/registry'
      - SERVICIO_FIRMADOR_CLASS='\SIU\DocsApi\Firmador\FirmARService'
      - SERVICIO_FIRMADOR_PARAMS={base_uri:'https://tst.firmar.gob.ar/', method:'basic', user:'f8c9ea3a-6719-4c2f-a7b7-3ba37d65c404', password:''}
    command:
      - -c
      - |
        php /wait-pg.php $$ARAI_DOCS_DB_HOST 5432 postgres postgres
        /entrypoint.sh --reconfigure
        /entrypoint.sh --worker-mode

  db-docs:
    image: "${IMAGE_NAME_DB}"
    ports:
      - "54432:5432"
    environment:
      TZ: "America/Buenos_Aires"
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: postgres
    networks:
      docs-net:

  docs-postman:
    container_name: docs-postman
    image: "${IMAGE_NAME_POSTMAN}"
    command:
      run 1_0_2/api_test.json -g 1_0_2/postman_globals.json
    depends_on:
      - docs-api
    networks:
      docs-net:

  nuxeo:
    build: nuxeo
    ports:  
      - "8080:8080"
    volumes:
      - /data/
    depends_on:
      - db-nuxeo
    environment:
      - NUXEO_DB_TYPE=postgresql
      - NUXEO_DB_HOST=db-nuxeo
    networks:
      docs-net:  

  db-nuxeo:
    build: ./postgres/.
    hostname: db-nuxeo
    ports:
      - 54442:5432
    environment:
      - POSTGRES_USER=nuxeo
      - POSTGRES_PASSWORD=nuxeo
      - PGDATA=/var/lib/postgresql/data/pgdata
    volumes:
      - /var/lib/postgresql/data
    networks:
      docs-net:  


networks:
  docs-net:
    external: false

